%global pkg_name        DB_File
%global pkg_version     1.816
%global rpm_pkg_version 1.816
%global rpm_pkg_release 1.n0i.3

Summary:       Tie to DB files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PM/PMQS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: db4-devel
BuildRequires: perl(ExtUtils::MakeMaker)
%if %{!?_without_test:1}0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Harness)
%endif


%description
DB_File is a module which allows Perl programs to make use
of the facilities provided by Berkeley DB.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__perl} -pi -e "s{INSTALLDIRS => 'perl'}{INSTALLDIRS => 'vendor'}" Makefile.PL

%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu Nov 01 2007 Marius Feraru <altblue@n0i.net> - 0:1.816-1.n0i.3
- version 1.816

* Mon Oct 15 2007 Marius Feraru <altblue@n0i.net> - 0:1.815-2.n0i.2
- rebuild (db 4.6.x)

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0:1.815-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.815
